# Uses of Enum Class
org.jfree.svg.PreserveAspectRatio

## Uses of PreserveAspectRatio in org.jfree.svg

Subclasses with type arguments of type PreserveAspectRatio in org.jfree.svg
Modifier and Type
Class
Description
`enum`
`PreserveAspectRatio`
An enumeration of the values for the `preserveAspectRatio` attribute.
Methods in org.jfree.svg that return PreserveAspectRatio
Modifier and Type
Method
Description
`static PreserveAspectRatio`
PreserveAspectRatio.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PreserveAspectRatio[]`
PreserveAspectRatio.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.jfree.svg with parameters of type PreserveAspectRatio
Modifier and Type
Method
Description
`String`
SVGGraphics2D.`getSVGElement(String id, boolean includeDimensions, ViewBox viewBox, PreserveAspectRatio preserveAspectRatio, MeetOrSlice meetOrSlice)`
Returns the SVG element that has been generated by calls to this `Graphics2D` implementation, giving it the specified `id`.